borg-with-lock(1)

Name
borg-with-lock - Runs a user-specified command with the repository lock held.

SYNOPSIS

borg [common options] with-lock [options] COMMAND [ARGS...]

DESCRIPTION

This command runs a user-specified command while locking the repository. For example:

            $ BORG_REPO=/mnt/borgrepo borg with-lock rsync -av /mnt/borgrepo /somewhere/else/borgrepo

It first tries to acquire the lock (make sure that no other operation is running in the repository), then executes the given command as a subprocess and waits for its termination, releases the lock, and returns the user command's return code as Borg's return code.

Note:
        If you copy a repository with the lock held, the lock will be present in the copy. Borg removes such a leftover lock automatically, but only after a safety period of about half an hour, so to use Borg on the copy right away, first run borg break-lock on the copied repository.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

    COMMAND
        command to run

    ARGS
        command arguments

SEE ALSO

borg-common(1)

Author
The Borg Collective